diff -r e909207e9ff1 libgui/languages/zh_CN.ts
--- a/libgui/languages/zh_CN.ts	Fri Mar 30 17:47:12 2018 -0400
+++ b/libgui/languages/zh_CN.ts	Mon Apr 02 06:14:23 2018 +0800
@@ -1770,228 +1792,228 @@
     <message>
         <location filename="../src/files-dock-widget.cc" line="+73"/>
         <source>File Browser</source>
-        <translation type="unfinished">文件浏览器</translation>
+        <translation>文件浏览器</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Browse your files</source>
-        <translation type="unfinished"></translation>
+        <translation>浏览文件</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>File size</source>
-        <translation type="unfinished">文件大小</translation>
+        <translation>文件大小</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>File type</source>
-        <translation type="unfinished">文件类型</translation>
+        <translation>文件类型</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Date modified</source>
-        <translation type="unfinished">修改日期</translation>
+        <translation>修改日期</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Show hidden</source>
-        <translation type="unfinished">显示隐藏文件</translation>
+        <translation>显示隐藏文件</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Alternating row colors</source>
-        <translation type="unfinished">备选列颜色</translation>
+        <translation>备选行颜色</translation>
     </message>
     <message>
         <location line="+25"/>
         <source>Enter the path or filename</source>
-        <translation type="unfinished">输入路径或文件名</translation>
+        <translation>输入路径或文件名</translation>
     </message>
     <message>
         <location line="+11"/>
         <source>One directory up</source>
-        <translation type="unfinished">向上一级</translation>
+        <translation>向上一级</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Show Octave directory</source>
-        <translation type="unfinished">显示 Octave 目录</translation>
+        <translation>显示 Octave 目录</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Go to current Octave directory</source>
-        <translation type="unfinished">前往当前的 Octave 目录</translation>
+        <translation>前往当前的 Octave 目录</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Set Octave directory</source>
-        <translation type="unfinished">设置 Octave 目录</translation>
+        <translation>设置 Octave 目录</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Set Octave directory to current browser directory</source>
-        <translation type="unfinished"></translation>
+        <translation>设置 Octave 目录为当前浏览器目录</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Actions on current directory</source>
-        <translation type="unfinished">在当前目录的操作</translation>
+        <translation>在当前目录的操作</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Show Home Directory</source>
-        <translation type="unfinished">显示主目录</translation>
+        <translation>显示主目录</translation>
     </message>
     <message>
         <location line="+12"/>
         <source>Set Browser Directory...</source>
-        <translation type="unfinished"></translation>
+        <translation>设置浏览器目录...</translation>
     </message>
     <message>
         <location line="+4"/>
         <location line="+365"/>
         <source>Find Files...</source>
-        <translation type="unfinished">查找文件...</translation>
+        <translation>查找文件...</translation>
     </message>
     <message>
         <location line="-361"/>
         <location line="+374"/>
         <source>New File...</source>
-        <translation type="unfinished">新建文件...</translation>
+        <translation>新建文件...</translation>
     </message>
     <message>
         <location line="-371"/>
         <location line="+374"/>
         <source>New Directory...</source>
-        <translation type="unfinished">新建目录...</translation>
+        <translation>新建目录...</translation>
     </message>
     <message>
         <location line="-320"/>
         <source>Activate to open in editor, right click for alternatives</source>
-        <translation type="unfinished"></translation>
+        <translation>激活以在编辑器中打开，右击选择</translation>
     </message>
     <message>
         <location line="+273"/>
         <source>Open</source>
-        <translation type="unfinished">打开</translation>
+        <translation>打开</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Open in System File Explorer</source>
-        <translation type="unfinished"></translation>
+        <translation>在系统文件浏览器中打开</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Open in Text Editor</source>
-        <translation type="unfinished"></translation>
+        <translation>在文本编辑器中打开</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Copy Selection to Clipboard</source>
-        <translation type="unfinished">复制选中到剪贴板</translation>
+        <translation>复制选中到剪贴板</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Run</source>
-        <translation type="unfinished">运行</translation>
+        <translation>运行</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Load Data</source>
-        <translation type="unfinished">载入数据</translation>
+        <translation>载入数据</translation>
     </message>
     <message>
         <location line="+6"/>
         <source>Set Current Directory</source>
-        <translation type="unfinished">设置当前目录</translation>
+        <translation>设置当前目录</translation>
     </message>
     <message>
         <location line="+9"/>
         <source>Rename...</source>
-        <translation type="unfinished"></translation>
+        <translation>重命名...</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Delete...</source>
-        <translation type="unfinished"></translation>
+        <translation>删除...</translation>
     </message>
     <message>
         <location line="+118"/>
         <source>Rename file/directory</source>
-        <translation type="unfinished">重命名文件/目录</translation>
+        <translation>重命名文件/目录</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Rename file/directory:
 </source>
-        <translation type="unfinished">重命名文件/目录:
+        <translation>重命名文件/目录:
 </translation>
     </message>
     <message>
         <location line="+1"/>
         <source>
  to: </source>
-        <translation type="unfinished">
-到: </translation>
+        <translation>
+ 到: </translation>
     </message>
     <message>
         <location line="+30"/>
         <location line="+14"/>
         <source>Delete file/directory</source>
-        <translation type="unfinished">删除文件/目录</translation>
+        <translation>删除文件/目录</translation>
     </message>
     <message>
         <location line="-13"/>
         <source>Are you sure you want to delete
 </source>
-        <translation type="unfinished">你确实希望删除
+        <translation>你确实希望删除
 </translation>
     </message>
     <message>
         <location line="+14"/>
         <source>Can not delete a directory that is not empty</source>
-        <translation type="unfinished">不能删除一个非空目录</translation>
+        <translation>不能删除一个非空目录</translation>
     </message>
     <message>
         <location line="+145"/>
         <source>Set directory of file browser</source>
-        <translation type="unfinished">设置目录到文件浏览器</translation>
+        <translation>设置目录到文件浏览器</translation>
     </message>
     <message>
         <location line="+26"/>
         <source>Create File</source>
-        <translation type="unfinished">创建文件</translation>
+        <translation>创建文件</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Create file in
 </source>
         <comment>String ends with \n!</comment>
-        <translation type="unfinished">创建文件于
+        <translation>创建文件于
 </translation>
     </message>
     <message>
         <location line="+1"/>
         <source>New File.txt</source>
-        <translation type="unfinished"></translation>
+        <translation>新建文件.txt</translation>
     </message>
     <message>
         <location line="+15"/>
         <source>Create Directory</source>
-        <translation type="unfinished">创建目录</translation>
+        <translation>创建目录</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Create folder in
 </source>
         <comment>String ends with \n!</comment>
-        <translation type="unfinished">创建目录于
+        <translation>创建目录于
 </translation>
     </message>
     <message>
         <location line="+1"/>
         <source>New Directory</source>
-        <translation type="unfinished">新建目录</translation>
+        <translation>新建目录</translation>
     </message>
 </context>
 <context>
@@ -1999,22 +2021,22 @@
     <message>
         <location filename="../src/welcome-wizard.cc" line="+274"/>
         <source>Enjoy!</source>
-        <translation type="unfinished">尽情享受吧！</translation>
+        <translation>尽情享受吧！</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Previous</source>
-        <translation type="unfinished">上一个</translation>
+        <translation>上一个</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Finish</source>
-        <translation type="unfinished">完成</translation>
+        <translation>完成</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Cancel</source>
-        <translation type="unfinished">取消</translation>
+        <translation>取消</translation>
     </message>
     <message>
         <location line="+7"/>
@@ -2023,7 +2045,11 @@
 &lt;p&gt;If you encounter problems, there are a number of ways to get help, including commercial support options, a mailing list, a wiki, and other community-based support channels.
 You can find more information about each of these by visiting &lt;a href=&quot;https://octave.org/support.html&quot;&gt;https://octave.org/support.html&lt;/a&gt; (opens in external browser).&lt;/p&gt;
 &lt;/body&gt;&lt;/html&gt;</source>
-        <translation type="unfinished"></translation>
+        <translation>&lt;html&gt;&lt;body&gt;
+&lt;p&gt;我们希望Octave是一个能够帮助到你的有用工具。&lt;/p&gt;
+&lt;p&gt;如果遇到问题，可以通过多种方式获得帮助，包括商业支持选项，邮件列表，wiki以及其他社区支持渠道。
+你可以通过访问 &lt;a href=&quot;http://octave.org/support.html&quot;&gt;http://octave.org/support.html&lt;/a&gt; 找到更多信息(在外部浏览器中打开).&lt;/p&gt;
+&lt;/body&gt;&lt;/html&gt;</translation>
     </message>
     <message>
         <location line="+21"/>
@@ -2039,7 +2065,7 @@
 &lt;li&gt;Open the documentation browser of the Octave GUI with the help menu&lt;/li&gt;
 &lt;/ul&gt;
 &lt;/body&gt;&lt;/html&gt;</source>
-        <translation type="unfinished">&lt;html&gt;&lt;head&gt;
+        <translation>&lt;html&gt;&lt;head&gt;
 &lt;style&gt;
 a:link { text-decoration: underline; color: #0000ff; }
 &lt;/style&gt;
@@ -2058,107 +2084,107 @@
     <message>
         <location filename="../src/m-editor/find-dialog.cc" line="+87"/>
         <source>Find and Replace</source>
-        <translation type="unfinished"></translation>
+        <translation>查找和替换</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Find &amp;what:</source>
-        <translation type="unfinished">搜索 (&amp;W) : </translation>
+        <translation>搜索 (&amp;W) :</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Re&amp;place with:</source>
-        <translation type="unfinished">替换为 (&amp;P) : </translation>
+        <translation>替换为 (&amp;P) :</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Match &amp;case</source>
-        <translation type="unfinished">匹配大小写 (&amp;C)</translation>
+        <translation>匹配大小写 (&amp;C)</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Search from &amp;start</source>
-        <translation type="unfinished">从开头搜索 (&amp;S)</translation>
+        <translation>从开头搜索 (&amp;S)</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>&amp;Wrap while searching</source>
-        <translation type="unfinished">搜索时循环 (&amp;W)</translation>
+        <translation>搜索时循环 (&amp;W)</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>&amp;Find Next</source>
-        <translation type="unfinished">查找下一个 (&amp;F)</translation>
+        <translation>查找下一个 (&amp;F)</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Find &amp;Previous</source>
-        <translation type="unfinished">查找上一个 (&amp;P)</translation>
+        <translation>查找上一个 (&amp;P)</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>&amp;Replace</source>
-        <translation type="unfinished">替换 (&amp;R)</translation>
+        <translation>替换 (&amp;R)</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Replace &amp;All</source>
-        <translation type="unfinished">替换全部 (&amp;A)</translation>
+        <translation>替换全部 (&amp;A)</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>&amp;More...</source>
-        <translation type="unfinished">更多 (&amp;M) ...</translation>
+        <translation>更多 (&amp;M) ...</translation>
     </message>
     <message>
         <location line="+13"/>
         <source>&amp;Whole words</source>
-        <translation type="unfinished">整个单词 (&amp;W)</translation>
+        <translation>整个单词 (&amp;W)</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Regular E&amp;xpressions</source>
-        <translation type="unfinished">常规表达式 (&amp;X)</translation>
+        <translation>常规表达式 (&amp;X)</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Search &amp;backward</source>
-        <translation type="unfinished">反向搜索 (&amp;B)</translation>
+        <translation>反向搜索 (&amp;B)</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Search se&amp;lection</source>
-        <translation type="unfinished">搜索选中 (&amp;L)</translation>
+        <translation>搜索选中 (&amp;L)</translation>
     </message>
     <message>
         <location line="+86"/>
         <source>Search from end</source>
-        <translation type="unfinished">从尾部搜索</translation>
+        <translation>从尾部搜索</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Search from start</source>
-        <translation type="unfinished">从开头搜索</translation>
+        <translation>从开头搜索</translation>
     </message>
     <message>
         <location line="+209"/>
         <source>Replace Result</source>
-        <translation type="unfinished">替换结果</translation>
+        <translation>替换结果</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>%1 items replaced</source>
-        <translation type="unfinished">%1 项已替换</translation>
+        <translation>%1 项已替换</translation>
     </message>
     <message>
         <location line="+14"/>
         <source>Find Result</source>
-        <translation type="unfinished">查找结果</translation>
+        <translation>查找结果</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>No more matches found</source>
-        <translation type="unfinished">没有更多匹配项</translation>
+        <translation>没有更多匹配项</translation>
     </message>
 </context>
 <context>
@@ -2166,147 +2192,147 @@
     <message>
         <location filename="../src/find-files-dialog.cc" line="+54"/>
         <source>Find Files</source>
-        <translation type="unfinished">查找文件</translation>
+        <translation>查找文件</translation>
     </message>
     <message>
         <location line="+11"/>
         <source>Named:</source>
-        <translation type="unfinished">名称: </translation>
+        <translation>名称:</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Enter the filename search expression</source>
-        <translation type="unfinished"></translation>
+        <translation>输入文件名进行搜索</translation>
     </message>
     <message>
         <location line="+6"/>
         <source>Start in:</source>
-        <translation type="unfinished">从: </translation>
+        <translation>从:</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Enter the start directory</source>
-        <translation type="unfinished">进入初始目录</translation>
+        <translation>进入初始目录</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Browse...</source>
-        <translation type="unfinished">浏览...</translation>
+        <translation>浏览...</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Browse for start directory</source>
-        <translation type="unfinished">从初始目录浏览</translation>
+        <translation>从初始目录浏览</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Search subdirectories</source>
-        <translation type="unfinished"></translation>
+        <translation>搜索子目录</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Search recursively through directories for matching files</source>
-        <translation type="unfinished">递归搜索目录以查找匹配文件</translation>
+        <translation>递归搜索目录以查找匹配文件</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Include directory names</source>
-        <translation type="unfinished"></translation>
+        <translation>包含的目录名</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Include matching directories in search results</source>
-        <translation type="unfinished">在搜索结果中包含匹配目录</translation>
+        <translation>在搜索结果中包含匹配目录</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Name case insensitive</source>
-        <translation type="unfinished">名称大小写敏感</translation>
+        <translation>名称大小写敏感</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Set matching name is case insensitive</source>
-        <translation type="unfinished">设置匹配名称大小写敏感</translation>
+        <translation>设置匹配名称大小写敏感</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Contains text:</source>
-        <translation type="unfinished">包含文字: </translation>
+        <translation>包含文本:</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Enter the file content search expression</source>
-        <translation type="unfinished"></translation>
+        <translation>输入文件内容进行搜索</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Text to match</source>
-        <translation type="unfinished">要匹配的文字</translation>
+        <translation>要匹配的文本</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Text case insensitive</source>
-        <translation type="unfinished">文字大小写敏感</translation>
+        <translation>文本大小写敏感</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Set text content is case insensitive</source>
-        <translation type="unfinished">设置文字内容大小写敏感</translation>
+        <translation>设置文本内容大小写敏感</translation>
     </message>
     <message>
         <location line="+11"/>
         <source>Search results</source>
-        <translation type="unfinished">搜索结果</translation>
+        <translation>搜索结果</translation>
     </message>
     <message>
         <location line="+19"/>
         <source>Idle.</source>
-        <translation type="unfinished">空闲。</translation>
+        <translation>空闲。</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Find</source>
-        <translation type="unfinished">查找</translation>
+        <translation>查找</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Start search for matching files</source>
-        <translation type="unfinished">开始查找匹配文件</translation>
+        <translation>开始查找匹配文件</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Stop</source>
-        <translation type="unfinished">停止</translation>
+        <translation>停止</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Stop searching</source>
-        <translation type="unfinished">停止搜索</translation>
+        <translation>停止搜索</translation>
     </message>
     <message>
         <location line="+15"/>
         <source>Filename/location</source>
-        <translation type="unfinished"></translation>
+        <translation>文件名/位置</translation>
     </message>
     <message>
         <location line="+17"/>
         <source>File contents</source>
-        <translation type="unfinished">文件内容</translation>
+        <translation>文件内容</translation>
     </message>
     <message>
         <location line="+103"/>
         <source>Searching...</source>
-        <translation type="unfinished">正在搜索...</translation>
+        <translation>正在搜索...</translation>
     </message>
     <message>
         <location line="+22"/>
         <source>%1 match (es)</source>
-        <translation type="unfinished"></translation>
+        <translation>%1 个匹配</translation>
     </message>
     <message>
         <location line="+8"/>
         <source>Set search directory</source>
-        <translation type="unfinished">设置搜索目录</translation>
+        <translation>设置搜索目录</translation>
     </message>
 </context>
 <context>
@@ -2314,12 +2340,12 @@
     <message>
         <location filename="../src/find-files-model.cc" line="+88"/>
         <source>Filename</source>
-        <translation type="unfinished">文件名</translation>
+        <translation>文件名</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Directory</source>
-        <translation type="unfinished">目录</translation>
+        <translation>目录</translation>
     </message>
 </context>
 <context>
@@ -2327,52 +2353,52 @@
     <message>
         <location filename="../src/history-dock-widget.cc" line="+48"/>
         <source>Browse and search the command history.</source>
-        <translation type="unfinished">浏览并搜索命令历史。</translation>
+        <translation>浏览并搜索命令历史。</translation>
     </message>
     <message>
         <location line="+94"/>
         <source>Copy</source>
-        <translation type="unfinished">复制</translation>
+        <translation>复制</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Evaluate</source>
-        <translation type="unfinished">评估</translation>
+        <translation>评估</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Create script</source>
-        <translation type="unfinished">创建脚本</translation>
+        <translation>创建脚本</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Hide filter</source>
-        <translation type="unfinished"></translation>
+        <translation>隐藏过滤器</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Show filter</source>
-        <translation type="unfinished"></translation>
+        <translation>显示过滤器</translation>
     </message>
     <message>
         <location line="+123"/>
         <source>Double-click a command to transfer it to the terminal.</source>
-        <translation type="unfinished">双击一个命令以传递到终端。</translation>
+        <translation>双击一个命令以传递到终端。</translation>
     </message>
     <message>
         <location line="+8"/>
         <source>Enter text to filter the command history</source>
-        <translation type="unfinished"></translation>
+        <translation>输入文本以过滤命令历史</translation>
     </message>
     <message>
         <location line="+10"/>
         <source>Filter</source>
-        <translation type="unfinished"></translation>
+        <translation>过滤器</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Command History</source>
-        <translation type="unfinished">命令历史</translation>
+        <translation>命令历史</translation>
     </message>
 </context>
 <context>
@@ -2380,17 +2406,17 @@
     <message>
         <location filename="../src/welcome-wizard.cc" line="-178"/>
         <source>Welcome to Octave!</source>
-        <translation type="unfinished">欢迎来到 Octave!</translation>
+        <translation>欢迎来到 Octave!</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Next</source>
-        <translation type="unfinished">下一个</translation>
+        <translation>下一个</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Cancel</source>
-        <translation type="unfinished">取消</translation>
+        <translation>取消</translation>
     </message>
     <message>
         <location line="+7"/>
@@ -2399,7 +2425,7 @@
 Click &apos;Next&apos; to create a configuration file and launch Octave.&lt;/p&gt;
 &lt;p&gt;The configuration file is stored in&lt;br&gt;%1.&lt;/p&gt;
 &lt;/body&gt;&lt;/html&gt;</source>
-        <translation type="unfinished">&lt;html&gt;&lt;body&gt;
+        <translation>&lt;html&gt;&lt;body&gt;
 &lt;p&gt;看起来这是你第一次在这台电脑上使用 Octave 图形界面。
 点击 &apos;下一步&apos; 以创建一个配置文件并启动 Octave .&lt;/p&gt;
 &lt;p&gt;配置文件存放于&lt;br&gt;%1.&lt;/p&gt;
@@ -2411,12 +2437,12 @@
     <message>
         <location filename="../src/octave-dock-widget.cc" line="+52"/>
         <source>Undock widget</source>
-        <translation type="unfinished">移动挂件</translation>
+        <translation>移动组件</translation>
     </message>
     <message>
         <location line="+8"/>
         <source>Close widget</source>
-        <translation type="unfinished"></translation>
+        <translation>关闭组件</translation>
     </message>
 </context>
 <context>
